Linux repositories inspector

libglx0-glvnd-nvidia - Vendor neutral GL dispatch library -- libGLX

This is an implementation of the vendor-neutral dispatch layer for arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
This package contains the (binary) GLVND libGLX.so.0 stub library provided by NVIDIA which dispatches to vendor implementations (libGLX_*.so.0) via GLVND.
390.48
Debian iconDebian 9.0
390.25
Debian iconDebian 10.0
384.130
Debian iconDebian 9.0
375.82
Debian iconDebian 9.0
DistributionVersionSincePackageInstalledPackager
Debian iconDebian 10.0 buster/non-freedeb390.25-214.03.2018203 kiB271 kiB
Debian iconDebian 9.0 stretch/non-freedeb375.82-1~deb9u110.11.2017188 kiB257 kiB
Debian iconDebian 9.0 stretch-backports/non-freedeb390.48-2~bpo9+319.06.2018205 kiB272 kiB
Debian iconDebian 9.0 stretch-proposed-updates/non-freedeb384.130-119.06.2018199 kiB267 kiB

Latest updates

Debian 9.0 icon

Debian 9.0 stretch-proposed-updates/non-free: Updated from 384.111-4~deb9u1 to 384.130-1

19.06.2018 07:50
Debian 9.0 icon

Debian 9.0 stretch-backports/non-free: Updated from 384.111-3~bpo9+1 to 390.48-2~bpo9+3

19.06.2018 07:50
Debian 10.0 icon

Debian 10.0 buster/non-free: Updated from 384.111-4 to 390.25-2

14.03.2018 02:50
  • Merge changes from 387.34-4.
  • Upload to unstable.
Debian 9.0 icon

Debian 9.0 stretch-proposed-updates/non-free: Version 384.111-4~deb9u1 introduced

14.03.2018 02:47
  • Rebuild for stretch.
  • Relax the libvulkan1 (build-)dependency.
  • Do not conflict with *-glvnd-nvidia, there is no libglvnd in stretch.
  • Continue recommending the GLESv1 library for stretch.
Debian experimental icon

Debian experimental experimental/non-free: Version 390.25-1 removed

07.03.2018 04:30
Debian 10.0 icon

Debian 10.0 buster/non-free: Updated from 384.111-3 to 384.111-4

04.02.2018 22:22
  • nvidia-kernel-{dkms,source}: Mention the supported architecture(s) in the long Description.
  • Use dh_missing --fail-missing.
  • Update lintian overrides.
Debian experimental icon

Debian experimental experimental/non-free: Updated from 390.12-1 to 390.25-1

31.01.2018 05:10
  • New upstream long lived branch release 390.25 (2018-01-29).
    • Fixed a regression introduced in 390.12 that prevented displays from working normally when running multiple X screens with emulated overlays.
    • Added support for the following GPUs: GeForce GTX 1060 5GB, Quadro P620.
    • Fixed a regression introduced in 390.12 that caused occasional hangs and hard lockup messages in the system log when screen transformations are in use.
  • New upstream release 340 series.
    • Fixed a bug which could cause X servers that export a Video Driver ABI earlier than 0.8 to crash when running X11 applications which call XRenderAddTraps().
    Luca Boccassi
    • Update nv-readme.ids.
    • Update symbols files.
    • Refresh nvidia-use-ARCH.o_binary.patch to remove fuzz.
    Andreas Beckmann
    • libcuda1: Add Provides: libcuda-9.1-1{,-i386}.
    • Merge changes from 384.111-4.
    • nvidia-detect: Report devices only supported on amd64.
    • nvidia-detect: Add PCI ID list for 384.111 in stretch.
Debian 10.0 icon

Debian 10.0 buster/non-free: Updated from 384.111-1 to 384.111-3

23.01.2018 04:07
  • Add more Breaks to nvidia-driver-libs and nvidia-driver-libs-nonglvnd to ease upgrade paths and switching.
  • nvidia-alternative.prerm: Trigger register-glx-alternative-nvidia upon removal. (Closes: #883637)
  • libgl1-nvidia-glx.prerm: Do not forcibly remove the nvidia alternative, this would reset it from manual mode to auto mode while it could still be needed by other packages, e.g. libcuda1. Let the nvidia-alternative triggers handle it instead.
  • nvidia-kernel-dkms: Remove libelf-dev workaround, fixed in src:linux.
Debian 9.0 icon

Debian 9.0 stretch-backports/non-free: Updated from 384.111-1~bpo9+2 to 384.111-3~bpo9+1

23.01.2018 04:05
  • Rebuild for stretch-backports.
Debian 9.0 icon

Debian 9.0 stretch-backports/non-free: Updated from 384.111-1~bpo9+1 to 384.111-1~bpo9+2

14.01.2018 16:15
  • nvidia-driver-libs: Continue recommending the GLES1 library for stretch.
  • nvidia-driver-libs-nonglvnd: Do not conflict with *-glvnd-nvidia, there is no libglvnd in stretch.
⇧ Top